% fixationTraining.m
% Described in Guzman-Martinez, Leung, Franconeri, Grabowecky, & Suzuki (2009).
% Psychonomic Bulletin & Review
% Paper and code available under 'Demos' at visionplus.psych.northwestern.edu


% IMPORTANT
% You MUST run this at 75Hz to get the eye movement visualization effects
% CRT is also preferred, but fast LCD also works.  

% PsychToolbox extensions for Matlab required.  See http://psychtoolbox.org/
% If you rewrite the script in another lanauge (e.g., visionegg, psyscope, etc), 
% send us a copy and we will include it in this zip file.  

% This simple script rotates through the two animation frames
% as quickly as possible, until a keypress
myWindow = Screen('OpenWindow', 1);
image1Matrix = imread('frame1.png'); 
image2Matrix = imread('frame2.png'); 
Screen('FillRect', myWindow, [0,0,0]); 
image1Texture = Screen('MakeTexture', myWindow, image1Matrix);
image2Texture = Screen('MakeTexture', myWindow, image2Matrix);

done=0;	
FlushEvents('keyDown');
while done==0
	Screen('DrawTexture', myWindow, image1Texture);
	Screen('Flip', myWindow);
	Screen('DrawTexture', myWindow, image2Texture);
	Screen('Flip', myWindow);
	
    [keyIsDown,prEndSecs,keyCode] = KbCheck; 
    if(keyIsDown)
	    done=1;
    end
end; 

%GetClicks; 
Screen('CloseAll');


